    :root {
    /* ---------------- Цвета ---------------- */
    --page-background: #F7F2ED;
    --icon-sale-background: rgba(255, 0, 0, 0.7);
    --selects-background: #f7f2ed;
    --info-links-background: #e0e0e0;
    --buttons-background: #283228;
    --modal-window-background: #f7f2ed;
    --modal-icon-close-background: #f7f2ed;

    --slider-buttons-fill: #828282;
    --slider-buttons-hover-fill: #191919;
    --modal-icon-close-fill: #aa8d61;
    --modal-icon-close-hover-fill: #191919;
    
    --icon-sale-color: #ffffff;
    --product-title-color: #2a3425;
    --labels-color: #191919;
    --selects-color: #191919;
    --actual-price-color:#aa8d61;
    --old-price-color: #828282;
    --info-links-color: #828282;
    --info-links-hover-color: #191919;
    --buttons-color: #d2bea0;


    --selects-border: #c8c8c8;
    --color-options-border: #000000;
}

/* Блок: «Карточка товара» */
.card-container {
    display: flex;
    padding: 0px 40px 100px 40px;
    gap: 4vw;
    background-color: var(--page-background);
}

/* Слайдер: Превью + Слайдер */
.product-gallery {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 50%;
    height: 70vh;
    gap: 12px;
}

/* Слайдер: Контейнер активного изображения */
.main-swiper {
    width: 100%;
    flex: 1;
    border-radius: 20px;
}

/* Слайдер: Кнопки */
.swiper-button {
    position: absolute;
    z-index: 20;
    top: 50%;
    left: auto;
    right: auto;
    width: 48px;
    height: 48px;
    padding: 0;
    border: none;
    border-radius: 50%;
    background: var(--page-background);
    fill: var(--slider-buttons-fill);
    cursor: pointer;
}

.swiper-button:hover {
    fill: var(--slider-buttons-hover-fill);
}

.main-prev {
    left: 16px;
}

.main-next {
    right: 20px;
}

/* Слайдер: Иконка акции */
.action {
    position: absolute;
    z-index: 10;
    top: 20px;
    right: 20px;
    width: 80px;
    height: 80px;
    padding: 0;
    border-radius: 50%;
    background-color: var(--icon-sale-background);
    backdrop-filter: blur(5px);
    color: var(--icon-sale-color);
    font-family: "Inter", sans-serif;
    font-size: 20px;
    font-weight: 400;
    text-align: center;
    align-content: center;
}

/* Слайдер: Изображения */
.main-swiper .swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center 60%;
    cursor: pointer;
}

/* Превью: галерея превью */
.thumbs-swiper {
    position: relative;
    width: 100%;
    overflow: hidden;
}

/* Превью: Элемент превью */
.thumbs-swiper .swiper-slide {
    width: 64px !important;
    height: 64px !important;
    margin-right: 8px;
    border-radius: 16px;
    box-sizing: border-box;
    flex-shrink: 0;
    opacity: 0.6;
    cursor: pointer;
    overflow: hidden;
}

.thumbs-swiper .swiper-slide-thumb-active {
    opacity: 1;
}

.thumbs-swiper .swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Модальное окно */
.modal-gallery {
    position: fixed;
    z-index: 2100;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

/* Модальное окно: Фон окна */
.modal-gallery__overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--page-background);
}

/* Модальное окно: Иконка закрытия */
.modal-gallery__close {
    position: absolute;
    z-index: 2102;
    top: 20px;
    right: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 48px;
    height: 48px;
    padding: 0;
    border: none;
    border-radius: 100px;
    background: var(--modal-icon-close-background);
    fill: var(--modal-icon-close-fill)!important;
    cursor: pointer;
}

.modal-gallery__close:hover {
    fill: var(--modal-icon-close-hover-fill)!important;
}

/* Модальное окно: Контейнер слайдера */
.modal-gallery__container {
    position: relative;
    z-index: 2101;
    width: 36vw;
    height: calc(100vh - 20px);
    overflow: hidden;
}

/* Модальное окно: Контейнер изображения */
.modal-gallery__swiper {
    width: 100%;
    height: 100%;
    cursor: pointer;
}

/* Модальное окно: Изображение */
.modal-gallery__swiper .swiper-zoom-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Модальное окно: Кнопки */
.modal-prev {
    left: 16px;
    right: auto;
}

.modal-next {
    right: 20px;
    left: auto;
}

/* Модальное окно: зум для ПК */
.swiper-zoom-container {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    cursor: zoom-in;
}

.swiper-zoom-container.zoomed {
    cursor: zoom-out;
}

.swiper-zoom-container img {
    will-change: transform;
    user-select: none;
    transition: transform 0.2s ease;
}

/* Информационная часть */
.content-container {
    display: flex;
    flex-direction: column;
    max-width: 560px;
    gap: 2.6rem;
}

/* Информация: Название + Цена */
.title-price {
    display: flex;
    flex-direction: column;
    gap: 0.7rem;
}

/* Информация: Название товара */
.product-title {
    font-family: "Inter", sans-serif;
    color: var(--product-title-color);
    font-size: 40px;
    font-weight: bold;
}

/* Информация: Контейнер цен */
.price-action {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 12px;
}

/* Информация: Актуальная цена */
.price-title {
    color: var(--actual-price-color);
    font-family: "Inter", sans-serif;
    font-size: 20px;
    font-weight: 400;
}

/* Информация: Старая цена*/
.old-price-title {
    color: var(--old-price-color);
    font-family: "Inter", sans-serif;
    font-size: 20px;
    font-weight: 400;
    text-decoration: line-through;
}

/* Параметры: Цвета + Опции */
.product-options {
    display: flex;
    flex-direction: column;
    gap: 1.4rem;
}

/* Цвета */
.color-options {
    display: flex;
    flex-wrap: wrap;
    max-width: 400px;
    gap: 12px 12px;
    margin-top: 12px;
}

/* Цвета: Иконка цвета */
.color-swatch {
    width: 32px;
    height: 32px;
    box-sizing: border-box;
    border-radius: 50%;
    outline: 2px solid transparent;
    outline-offset: 4px;
    cursor: pointer;
}

/* Цвета: Иконка цвета после клика */
.color-swatch.selected {
    scale: 0.8;
    outline: 2px solid var(--color-options-border);
    outline-offset: 4px;
}

/* Опции */
.select-block {
    display: flex;
    flex-direction: row;
    gap: 20px;
}

/* Опции: Блоки опций */
.left-select-block, .right-select-block {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

/* Опции: Подписи */
.product-options label {
    display: flex;
    flex-direction: row;
    color: var(--labels-color);
    font-family: "Inter", sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 150%;
}

/* Опции: Селекты */
.product-options select {
    width: 150px;
    padding: 8px 16px;
    margin-top: 8px;
    border: solid 2px var(--selects-border);
    border-radius: 12px;
    color: var(--selects-color);
    font-family: "Inter", sans-serif;
    font-size: 16px;
    font-weight: 400;
    background: var(--selects-background) url("data:image/svg+xml,%3Csvg viewBox='0 0 140 140' width='16' height='16' xmlns='http://www.w3.org/2000/svg'%3E%3Cg%3E%3Cpath d='m121.3,34.6c-1.6-1.6-4.2-1.6-5.8,0l-51,51.1-51.1-51.1c-1.6-1.6-4.2-1.6-5.8,0-1.6,1.6-1.6,4.2 0,5.8l53.9,53.9c0.8,0.8 1.8,1.2 2.9,1.2 1,0 2.1-0.4 2.9-1.2l53.9-53.9c1.7-1.6 1.7-4.2 0.1-5.8z' fill='%23191919'/%3E%3C/g%3E%3C/svg%3E") no-repeat;
    background-position: right 12px top 55%;
    appearance: none;
}

/* Подсказки */
.support {
    display: flex;
    flex-direction: column;
    gap: 12px;
    color: var(--labels-color);
    font-family: "Inter", sans-serif;
    font-size: 16px;
}

/* Подсказки: контейнер с кнопками */
.support-options {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 8px 8px;
}

/* Подсказки: кнопки */
.support-option {
    padding: 8px 12px;
    border: none;
    border-radius: 12px;
    color: var(--info-links-color) !important;
    font-family: "Inter", sans-serif;
    font-size: 14px;
    font-weight: 400;
    background: var(--info-links-background);
}

.support-option:hover {
    color: var(--info-links-hover-color) !important;
    text-decoration: underline !important;
}

/* Кнопки: Контейнер */
.buttons-block {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-top: 16px;
    gap: 8px;
}

/* Кнопки: «Добавить в корзину»*/
.add-to-cart-btn {
    width: 182px;
    padding: 12px 0px;
    border: none;
    border-radius: 100px;
    color: var(--buttons-color) !important;
    font-family: "Inter", sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 150%;
    letter-spacing: 0.2px;
    text-align: center;
    background-color: var(--buttons-background);
    cursor: pointer;
}

.add-to-cart-btn:hover {
    opacity: 0.8;
}

/* Кнопки: «Добавить в избранное»*/
.favorite-btn {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 48px;
    height: 48px;
    border-radius: 100px;
    background-color: var(--buttons-background);
    fill: transparent;
    stroke: var(--buttons-color);
    stroke-width: 1.5px;
    cursor: pointer;
}

.icon-wrapper {
    transform: translate(0%, 14%);
}

.favorite-btn:hover {
    opacity: 0.8;
}

.favorite-btn.active .icon-heart-outline {
    fill: var(--buttons-color);
}

@media (max-width: 1199px) {

    /* Модальное окно: Контейнер слайдера */
    .modal-gallery {
        height: 100%;
    }

    /* Модальное окно: Контейнер слайдера */
    .modal-gallery__container {
        width: calc(100vw - 40px);
        height: calc(100% - 40px);
    }

    /* Блок: «Карточка товара» */
    .card-container {
        flex-direction: column;
        padding: 0px 80px 80px 80px;
        gap: 4vh;
    }

    /* Слайдер: Превью + Слайдер */
    .product-gallery {
        width: 100%;
        height: 60vh;
    }

    /* Слайдер: Изображения */
    .main-swiper .swiper-slide img {
        object-position: center 50%;
    }

    /* Модальное окно: Иконка закрытия */
    .modal-gallery__close {
        top: auto;
        bottom: 40px;
        right: calc(50% - 28px);
    }

    @media (max-width: 767px) {

        /* Блок: «Карточка товара» */
        .card-container {
            padding: 0px 20px 40px 20px;
        }

        /* Слайдер: Превью + Слайдер */
        .product-gallery {
            height: 50svh;
        }

        /* Слайдер: Кнопки */
        .swiper-button {
            display: none;
        }

        /* Слайдер: Иконка акции */
        .action {
            left: 20px;
            width: 60px;
            height: 60px;
            font-size: 16px;
        }

        /* Превью: Элемент превью */
        .thumbs-swiper .swiper-slide {
            width: 48px !important;
            height: 48px !important;
        }

        /* Цвета */
        .color-options {
            gap: 12px 8px;
        }

        /* Цвета: Иконка цвета */
        .color-swatch {
            width: 28px;
            height: 28px;
        }

        /* Информация: Название товара */
        .product-title {
            font-size: 28px;
        }

        /* Опции: Подписи */
        .product-options label {
            font-size: 16px;
        }

        /* Опции: Селекты */
        .product-options select {
            width: calc(50vw - 66px);
            font-size: 14px;
        }

        /* Кнопки: «Добавить в корзину»*/
        .add-to-cart-btn {
            width: calc(50vw - 28px);
        }
    }
}

.t-store__card__sold-out-msg {
visibility: hidden;
}
.t-store__card__sold-out-msg:after {
content:'Текст’;
visibility: visible;
display: block;
color: #333333;
}